--- tcpip.SlackBuild	2006-09-20 19:56:26.000000000 -0400
+++ tcpip.SlackBuild.s390x	2004-11-29 19:28:42.000000000 -0500
@@ -9,7 +9,7 @@
 
 VERSION=0.17
 ARCH=${ARCH:-i486}
-BUILD=39
+BUILD=${BUILD:-30}
 
 if [ ! -d $TMP ]; then
   mkdir -p $TMP # location to build the source
@@ -20,6 +20,7 @@
 # Explode the package framework:
 cd $PKG
 explodepkg $CWD/_tcpip.tar.gz
+mv usr/lib usr/lib64
 
 echo "+==================+"
 echo "| tcp_wrappers_7.6 |"
@@ -29,9 +30,10 @@
 cd tcp_wrappers-7.6
 sh extract-and-patch.sh
 cd tcp_wrappers_7.6
+cat $CWD/tcpwrappers.weak_symbols.c.diff | patch -p1 --backup --suffix=.orig
 make REAL_DAEMON_DIR=/usr/sbin linux
 strip tcpd safe_finger tcpdchk tcpdmatch try-from
-cat libwrap.a > $PKG/usr/lib/libwrap.a
+cat libwrap.a > $PKG/usr/lib64/libwrap.a
 cat tcpd.h > $PKG/usr/include/tcpd.h
 cat safe_finger > $PKG/usr/sbin/safe_finger
 cat tcpd > $PKG/usr/sbin/tcpd
@@ -56,9 +58,9 @@
 cd $TMP
 tar xzvf $CWD/icmpinfo-1.11.tar.gz
 cd icmpinfo-1.11
-chown -R root:root .
-zcat $CWD/icmpinfo-1.11.diff.gz | patch -p1 --backup || exit
-zcat $CWD/icmpinfo-1.11.diff2.gz | patch -p1 --backup || exit
+chown -R root.root .
+zcat $CWD/icmpinfo-1.11.diff.gz | patch -p1 --backup
+zcat $CWD/icmpinfo-1.11.diff2.gz | patch -p1 --backup
 make
 strip icmpinfo
 cat icmpinfo > $PKG/usr/sbin/icmpinfo
@@ -67,7 +69,7 @@
 cp -a \
   CHANGES CHECKSUMS.asc README TODO \
   $PKG/usr/doc/icmpinfo-1.11
-chown root:root $PKG/usr/doc/icmpinfo-1.11/*
+chown root.root $PKG/usr/doc/icmpinfo-1.11/*
 chmod 644 $PKG/usr/doc/icmpinfo-1.11/*
 
 echo "+================+"
@@ -76,15 +78,15 @@
 cd $TMP
 tar xjvf $CWD/net-tools-1.60.tar.bz2
 cd net-tools-1.60
-chown -R root:root .
-zcat $CWD/net-tools_1.60-17.diff.gz | patch -p1 --backup || exit
-zcat $CWD/net-tools.diff.gz | patch -p1 --backup || exit
+chown -R root.root .
+zcat $CWD/net-tools.diff.gz | patch -p1 --backup
+zcat $CWD/net-tools.mii-tool.diff.gz | patch -p1 --backup
+zcat $CWD/net-tools.mii-tool.sockios.diff.gz | patch -p1 --backup
 mkdir -p $PKG/usr/doc/net-tools-1.60
 cp -a README README.ipv6 $PKG/usr/doc/net-tools-1.60
 chmod 644 $PKG/usr/doc/net-tools-1.60/*
-chown root:root $PKG/usr/doc/net-tools-1.60/*
+chown root.root $PKG/usr/doc/net-tools-1.60/*
 HAVE_IP_TOOLS=1 HAVE_MII=1 make
-HAVE_IP_TOOLS=1 HAVE_MII=1 make hostname
 strip ipmaddr iptunnel hostname arp ifconfig nameif rarp route netstat plipconfig slattach mii-tool
 cat arp > $PKG/sbin/arp
 cat ifconfig > $PKG/sbin/ifconfig
@@ -115,9 +117,9 @@
 cd $TMP
 tar xzvf $CWD/netdate.tar.gz
 cd netdate
-chown -R root:root .
-zcat $CWD/netdate.diff.gz | patch -p1 --backup || exit
-zcat $CWD/netdate.diff2.gz | patch -p1 --backup || exit
+chown -R root.root .
+zcat $CWD/netdate.diff.gz | patch -p1 --backup
+zcat $CWD/netdate.diff2.gz | patch -p1 --backup
 make
 strip netdate
 cat netdate > $PKG/usr/sbin/netdate
@@ -129,9 +131,9 @@
 cd $TMP
 tar xzvf $CWD/netkit-base-0.17.tar.gz
 cd netkit-base-0.17
-chown -R root:root .
+chown -R root.root .
 # This is a patch to fix ping times > 1s.
-zcat $CWD/netkit-base.ping.diff.gz | patch -p1 --verbose --backup --suffix=.orig || exit
+zcat $CWD/netkit-base.ping.diff.gz | patch -p1 --verbose --backup --suffix=.orig
 ./configure --prefix=/usr
 make
 cd inetd
@@ -145,7 +147,7 @@
 cd ..
 mkdir -p $PKG/usr/doc/netkit-base-0.17
 cp -a README $PKG/usr/doc/netkit-base-0.17
-chown root:root $PKG/usr/doc/netkit-base-0.17/*
+chown root.root $PKG/usr/doc/netkit-base-0.17/*
 chmod 644 $PKG/usr/doc/netkit-base-0.17/*
 
 echo "+==================+"
@@ -154,10 +156,10 @@
 cd $TMP
 tar xzvf $CWD/biff+comsat-0.17.tar.gz
 cd biff+comsat-0.17
-chown -R root:root .
-zcat $CWD/biff+comsat-0.17.diff.gz | patch -p1 --verbose || exit
-zcat $CWD/biff+comsat.offset.diff.gz | patch -p1 --verbose || exit
-zcat $CWD/biff+comsat.badutmp.diff.gz | patch -p1 --verbose || exit
+chown -R root.root .
+zcat $CWD/biff+comsat-0.17.diff.gz | patch -p1 --verbose
+zcat $CWD/biff+comsat.offset.diff.gz | patch -p1 --verbose
+zcat $CWD/biff+comsat.badutmp.diff.gz | patch -p1 --verbose
 ./configure --prefix=/usr
 make
 cd biff
@@ -171,7 +173,7 @@
 cd ..
 mkdir -p $PKG/usr/doc/biff+comsat-0.17
 cp -a README $PKG/usr/doc/biff+comsat-0.17
-chown root:root $PKG/usr/doc/biff+comsat-0.17/*
+chown root.root $PKG/usr/doc/biff+comsat-0.17/*
 chmod 644 $PKG/usr/doc/biff+comsat-0.17/*
 
 echo "+=================+"
@@ -180,8 +182,8 @@
 cd $TMP
 tar xzvf $CWD/bsd-finger-0.17.tar.gz
 cd bsd-finger-0.17
-chown -R root:root .
-zcat $CWD/bsd-finger-0.17.diff.gz | patch -p1 || exit
+chown -R root.root .
+zcat $CWD/bsd-finger-0.17.diff.gz | patch -p1
 ./configure --prefix=/usr
 make
 cd finger
@@ -195,7 +197,7 @@
 cd ..
 mkdir -p $PKG/usr/doc/bsd-finger-0.17
 cp -a README $PKG/usr/doc/bsd-finger-0.17
-chown root:root $PKG/usr/doc/bsd-finger-0.17/*
+chown root.root $PKG/usr/doc/bsd-finger-0.17/*
 chmod 644 $PKG/usr/doc/bsd-finger-0.17/*
 
 echo "+========================+"
@@ -204,7 +206,7 @@
 cd $TMP
 tar xzvf $CWD/netkit-bootparamd-0.17.tar.gz
 cd netkit-bootparamd-0.17
-chown -R root:root .
+chown -R root.root .
 ./configure --prefix=/usr
 make
 cd rpc.bootparamd
@@ -214,7 +216,7 @@
 gzip -9c bootparamd.8 > $PKG/usr/man/man8/rpc.bootparamd.8.gz
 mkdir -p $PKG/usr/doc/netkit-bootparamd-0.17
 cp -a README $PKG/usr/doc/netkit-bootparamd-0.17
-chown root:root $PKG/usr/doc/netkit-bootparamd-0.17/*
+chown root.root $PKG/usr/doc/netkit-bootparamd-0.17/*
 chmod 644 $PKG/usr/doc/netkit-bootparamd-0.17/*
 
 echo "+=================+"
@@ -223,7 +225,7 @@
 cd $TMP
 tar xzvf $CWD/netkit-ftp-0.17.tar.gz
 cd netkit-ftp-0.17
-chown -R root:root .
+chown -R root.root .
 ./configure --prefix=/usr
 make
 cd ftp
@@ -234,7 +236,7 @@
 cd ..
 mkdir -p $PKG/usr/doc/netkit-ftp-0.17
 cp -a README $PKG/usr/doc/netkit-ftp-0.17
-chown root:root $PKG/usr/doc/netkit-ftp-0.17/*
+chown root.root $PKG/usr/doc/netkit-ftp-0.17/*
 chmod 644 $PKG/usr/doc/netkit-ftp-0.17/*
 
 echo "+===================+"
@@ -243,9 +245,9 @@
 cd $TMP
 tar xzvf $CWD/netkit-ntalk-0.17.tar.gz
 cd netkit-ntalk-0.17
-chown -R root:root .
-zcat $CWD/netkit-ntalk-0.17.diff.gz | patch -p1 --verbose || exit
-zcat $CWD/ntalk-0.17-slackware-alt-talkd.patch.gz | patch -p1 --verbose || exit
+chown -R root.root .
+zcat $CWD/netkit-ntalk-0.17.diff.gz | patch -p1 --verbose
+zcat $CWD/ntalk-0.17-slackware-alt-talkd.patch.gz | patch -p1 --verbose
 ./configure --prefix=/usr
 make
 cd talk
@@ -259,7 +261,7 @@
 cd ..
 mkdir -p $PKG/usr/doc/netkit-ntalk-0.17
 cp -a README $PKG/usr/doc/netkit-ntalk-0.17
-chown root:root $PKG/usr/doc/netkit-ntalk-0.17/*
+chown root.root $PKG/usr/doc/netkit-ntalk-0.17/*
 chmod 644 $PKG/usr/doc/netkit-ntalk-0.17/*
 
 # Include old version of 'talk', which works better with
@@ -270,8 +272,8 @@
 cd $TMP
 tar xzvf $CWD/netkit-ntalk-0.11.tar.gz
 cd netkit-ntalk-0.11
-chown -R root:root .
-zcat $CWD/netkit-ntalk-0.11.diff.gz | patch -p0 --backup || exit
+chown -R root.root .
+zcat $CWD/netkit-ntalk-0.11.diff.gz | patch -p0 --backup
 ./configure --prefix=/usr
 make
 cd talk
@@ -284,9 +286,9 @@
 cd $TMP
 tar xzvf $CWD/netkit-routed-0.17.tar.gz
 cd netkit-routed-0.17
-chown -R root:root .
-zcat $CWD/routed.18.candidate.final.patch.gz | patch -p1 --backup --verbose -E --suffix=.orig || exit
-zcat $CWD/netkit-routed-0.17.diff.gz | patch -p1 --backup --verbose -E --suffix=.orig || exit
+chown -R root.root .
+zcat $CWD/routed.18.candidate.final.patch.gz | patch -p1 --backup --verbose -E --suffix=.orig
+zcat $CWD/netkit-routed-0.17.diff.gz | patch -p1 --backup --verbose -E --suffix=.orig
 ./configure --prefix=/usr
 make
 strip ripquery/ripquery routed/routed
@@ -296,7 +298,7 @@
 cat ripquery/ripquery.8 | gzip -9c > $PKG/usr/man/man8/ripquery.8.gz
 mkdir -p $PKG/usr/doc/netkit-routed-0.17
 cp -a README $PKG/usr/doc/netkit-routed-0.17
-chown root:root $PKG/usr/doc/netkit-routed-0.17/*
+chown root.root $PKG/usr/doc/netkit-routed-0.17/*
 chmod 644 $PKG/usr/doc/netkit-routed-0.17/*
 
 echo "+=================+"
@@ -305,7 +307,7 @@
 cd $TMP
 tar xzvf $CWD/netkit-rsh-0.17.tar.gz
 cd netkit-rsh-0.17
-chown -R root:root .
+chown -R root.root .
 ./configure --prefix=/usr
 make
 cd rsh
@@ -335,7 +337,7 @@
 cd ..
 mkdir -p $PKG/usr/doc/netkit-rsh-0.17
 cp -a README $PKG/usr/doc/netkit-rsh-0.17
-chown root:root $PKG/usr/doc/netkit-rsh-0.17/*
+chown root.root $PKG/usr/doc/netkit-rsh-0.17/*
 chmod 644 $PKG/usr/doc/netkit-rsh-0.17/*
 
 echo "+====================+"
@@ -344,8 +346,8 @@
 cd $TMP
 tar xzvf $CWD/netkit-rusers-0.17.tar.gz
 cd netkit-rusers-0.17
-chown -R root:root .
-zcat $CWD/netkit-rusers-0.17.diff.gz | patch -p1 || exit
+chown -R root.root .
+zcat $CWD/netkit-rusers-0.17.diff.gz | patch -p1
 ./configure --prefix=/usr
 make
 cd rpc.rusersd
@@ -363,7 +365,7 @@
 cd ..
 mkdir -p $PKG/usr/doc/netkit-rusers-0.17
 cp -a README $PKG/usr/doc/netkit-rusers-0.17
-chown root:root $PKG/usr/doc/netkit-rusers-0.17/*
+chown root.root $PKG/usr/doc/netkit-rusers-0.17/*
 chmod 644 $PKG/usr/doc/netkit-rusers-0.17/*
 
 echo "+===================+"
@@ -372,7 +374,7 @@
 cd $TMP
 tar xzvf $CWD/netkit-rwall-0.17.tar.gz
 cd netkit-rwall-0.17
-chown -R root:root .
+chown -R root.root .
 ./configure --prefix=/usr
 make
 cd rpc.rwalld
@@ -386,7 +388,7 @@
 cd ..
 mkdir -p $PKG/usr/doc/netkit-rwall-0.17
 cp -a README $PKG/usr/doc/netkit-rwall-0.17
-chown root:root $PKG/usr/doc/netkit-rwall-0.17/*
+chown root.root $PKG/usr/doc/netkit-rwall-0.17/*
 chmod 644 $PKG/usr/doc/netkit-rwall-0.17/*
 
 echo "+==================+"
@@ -395,8 +397,8 @@
 cd $TMP
 tar xzvf $CWD/netkit-rwho-0.17.tar.gz
 cd netkit-rwho-0.17
-chown -R root:root .
-zcat $CWD/netkit-rwho-0.17.diff.gz | patch -p1 || exit
+chown -R root.root .
+zcat $CWD/netkit-rwho-0.17.diff.gz | patch -p1
 ./configure --prefix=/usr
 make
 cd rwho
@@ -414,7 +416,7 @@
 cd ..
 mkdir -p $PKG/usr/doc/netkit-rwho-0.17
 cp -a README $PKG/usr/doc/netkit-rwho-0.17
-chown root:root $PKG/usr/doc/netkit-rwho-0.17/*
+chown root.root $PKG/usr/doc/netkit-rwho-0.17/*
 chmod 644 $PKG/usr/doc/netkit-rwho-0.17/*
 
 echo "+====================+"
@@ -423,9 +425,9 @@
 cd $TMP
 tar xzvf $CWD/netkit-telnet-0.17.tar.gz
 cd netkit-telnet-0.17
-chown -R root:root .
-zcat $CWD/netkit-telnet-0.17.diff.gz | patch -p1 --verbose --backup --suffix=.orig || exit
-zcat $CWD/netkit-telnet-0.17-ayt.patch.gz | patch -p1 --verbose --backup --suffix=.orig || exit
+chown -R root.root .
+zcat $CWD/netkit-telnet-0.17.diff.gz | patch -p1 --verbose --backup --suffix=.orig
+zcat $CWD/netkit-telnet-0.17-ayt.patch.gz | patch -p1 --verbose --backup --suffix=.orig
 ./configure --prefix=/usr
 cd telnetd
 make
@@ -436,8 +438,7 @@
 # The OpenBSD version of the telnet client is superior.
 mv telnet telnet-netkit
 tar xzvf $CWD/telnet-OpenBSD-20020321.tar.gz
-zcat $CWD/telnet-OpenBSD-20020321.diff.gz | patch -p1 --verbose || exit
-zcat $CWD/telnet-OpenBSD-014_telnet.diff.gz | patch -p1 --verbose --backup --suffix=.orig || exit
+zcat $CWD/telnet-OpenBSD-20020321.diff.gz | patch -p1 --verbose --backup --suffix=.orig
 ( cd telnet ; make )
 cd telnet
 strip telnet
@@ -446,16 +447,16 @@
 cd ..
 mkdir -p $PKG/usr/doc/netkit-telnet-0.17
 cp -a README $PKG/usr/doc/netkit-telnet-0.17
-chown root:root $PKG/usr/doc/netkit-telnet-0.17/*
+chown root.root $PKG/usr/doc/netkit-telnet-0.17/*
 chmod 644 $PKG/usr/doc/netkit-telnet-0.17/*
 
 echo "+===============+"
-echo "| tftp-hpa-0.42 |"
+echo "| tftp-hpa-0.40 |"
 echo "+===============+"
 cd $TMP
-tar xjvf $CWD/tftp-hpa-0.42.tar.bz2
-cd tftp-hpa-0.42
-chown -R root:root .
+tar xjvf $CWD/tftp-hpa-0.40.tar.bz2
+cd tftp-hpa-0.40
+chown -R root.root .
 ./configure --prefix=/usr
 make
 cd tftp
@@ -467,12 +468,12 @@
 cat tftpd > $PKG/usr/sbin/in.tftpd
 cat tftpd.8 | gzip -9c > $PKG/usr/man/man8/in.tftpd.8.gz
 cd ..
-mkdir -p $PKG/usr/doc/tftp-hpa-0.42
+mkdir -p $PKG/usr/doc/tftp-hpa-0.40
 cp -a \
   CHANGES INSTALL INSTALL.tftp README README.security \
-  $PKG/usr/doc/tftp-hpa-0.42
-chown root:root $PKG/usr/doc/tftp-hpa-0.42/*
-chmod 644 $PKG/usr/doc/tftp-hpa-0.42/*
+  $PKG/usr/doc/tftp-hpa-0.40
+chown root.root $PKG/usr/doc/tftp-hpa-0.40/*
+chmod 644 $PKG/usr/doc/tftp-hpa-0.40/*
 
 echo "+===================+"
 echo "| netkit-timed-0.17 |"
@@ -480,8 +481,8 @@
 cd $TMP
 tar xzvf $CWD/netkit-timed-0.17.tar.gz
 cd netkit-timed-0.17
-chown -R root:root .
-zcat $CWD/netkit-timed-0.17.diff.gz | patch -p1 --backup --verbose --suffix=.orig -E || exit
+chown -R root.root .
+zcat $CWD/netkit-timed-0.17.diff.gz | patch -p1 --backup --verbose --suffix=.orig -E
 ./configure --prefix=/usr
 make
 cd timed/timed
@@ -495,7 +496,7 @@
 cd ../..
 mkdir -p $PKG/usr/doc/netkit-timed-0.17
 cp -a README $PKG/usr/doc/netkit-timed-0.17
-chown root:root $PKG/usr/doc/netkit-timed-0.17/*
+chown root.root $PKG/usr/doc/netkit-timed-0.17/*
 chmod 644 $PKG/usr/doc/netkit-timed-0.17/*
 
 echo "+===============+"
@@ -504,8 +505,8 @@
 cd $TMP
 tar xzvf $CWD/netwrite-0.17.tar.gz
 cd netwrite-0.17
-chown -R root:root .
-zcat $CWD/netwrite-0.17.diff.gz | patch -p1 || exit
+chown -R root.root .
+zcat $CWD/netwrite-0.17.diff.gz | patch -p1
 ./configure --prefix=/usr
 make
 # The versions in util-linux are better, but we'll keep in.writed just in case:
@@ -518,7 +519,7 @@
 cd ..
 mkdir -p $PKG/usr/doc/netwrite-0.17
 cp -a README $PKG/usr/doc/netwrite-0.17
-chown root:root $PKG/usr/doc/netwrite-0.17/*
+chown root.root $PKG/usr/doc/netwrite-0.17/*
 chmod 644 $PKG/usr/doc/netwrite-0.17/*
 
 echo "+========+"
@@ -528,6 +529,7 @@
 cd $TMP/ipmask
 cc -s -O2 -o ipmask $CWD/ipmask.c
 cat ipmask > $PKG/bin/ipmask
+chown root:bin $PKG/bin/ipmask
 chmod 755 $PKG/bin/ipmask
 
 # Netcraft confirms it...
@@ -537,8 +539,8 @@
 #cd $TMP
 #tar xzvf $CWD/bwnfsd.tar.gz
 #cd bwnfsd
-#chown -R root:root .
-#zcat $CWD/bwnfsd.diff.gz | patch -p1 --backup || exit
+#chown -R root.root .
+#zcat $CWD/bwnfsd.diff.gz | patch -p1 --backup
 #make linux
 #strip bwnfsd
 #cat bwnfsd > $PKG/usr/sbin/rpc.bwnfsd
@@ -549,8 +551,8 @@
 cd $TMP
 tar xzvf $CWD/mini-inews.tar.gz
 cd inews
-chown -R root:root .
-zcat $CWD/mini-inews.diff.gz | patch -p1 -E --verbose --backup || exit
+chown -R root.root .
+zcat $CWD/mini-inews.diff.gz | patch -p1 -E --verbose --backup
 make
 strip inews
 cat inews > $PKG/usr/bin/inews-nntp
@@ -561,7 +563,8 @@
 cd $TMP
 tar xjvf $CWD/iputils-ss021109-try.tar.bz2
 cd iputils
-chown -R root:root .
+cat $CWD/traceroute6.c.diff | patch -p1 --verbose
+chown -R root.root .
 make
 strip arping clockdiff ping ping6 rarpd rdisc tracepath tracepath6 traceroute6
 cat arping > $PKG/sbin/arping
@@ -591,61 +594,20 @@
 echo "| ethtool |"
 echo "+=========+"
 cd $TMP
-tar xzf $CWD/ethtool-4.tar.gz
-cd ethtool-4
-chown -R root:root .
+tar xzf $CWD/ethtool-2.tar.gz
+cd ethtool-2
+chown -R root.root .
 ./configure --prefix=/usr
 make
 make install DESTDIR=$PKG
 strip $PKG/usr/sbin/ethtool
+chown root.bin $PKG/usr/sbin/ethtool
 gzip -9 $PKG/usr/man/man8/ethtool.8
-mkdir -p $PKG/usr/doc/ethtool-4
+mkdir -p $PKG/usr/doc/ethtool-2
 cp -a \
   AUTHORS COPYING ChangeLog NEWS README \
-  $PKG/usr/doc/ethtool-4
+  $PKG/usr/doc/ethtool-2
 
-echo "+==============+"
-echo "| bridge-utils |"
-echo "+==============+"
-cd $TMP
-# http://bridge.sourceforge.net
-tar xzf $CWD/bridge-utils-1.0.6.tar.gz
-cd bridge-utils-1.0.6
-chown -R root:root .
-./configure --prefix=/usr
-make
-make install DESTDIR=$PKG
-mv $PKG/usr/sbin/brctl $PKG/sbin/brctl
-strip --strip-unneeded $PKG/sbin/brctl
-strip -g $PKG/usr/lib/libbridge.a
-gzip -9 $PKG/usr/man/man8/*.8
-mkdir -p $PKG/usr/doc/bridge-utils-1.0.6
-cp -a \
-  AUTHORS COPYING README THANKS TODO doc \
-  $PKG/usr/doc/bridge-utils-1.0.6
-( cd $PKG/usr/doc/bridge-utils-1.0.6/doc
-  rm -f Makefile Makefile.in RPM-GPG-KEY brctl.8
-)
-
-echo "+======+"
-echo "| vlan |"
-echo "+======+"
-cd $TMP
-tar xjf $CWD/vlan.1.9.tar.bz2
-cd vlan
-chown -R root:root .
-chmod 644 *
-make vconfig
-strip --strip-unneeded vconfig
-cp vconfig $PKG/sbin
-chmod 755 $PKG/sbin/vconfig
-cat vconfig.8 | gzip -9c > $PKG/usr/man/man8/vconfig.8.gz
-mkdir $PKG/usr/doc/vlan-1.9
-cp -a \
-  README howto.html vlan.html \
-  $PKG/usr/doc/vlan-1.9
-
-# Finish up the package:
 mkdir -p $PKG/install
 cat $CWD/slack-desc > $PKG/install/slack-desc
 
